Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._Module System.Runtime.Serialization.ISerializable

Provides access to module metadata.

A module is a single portable executable (PE) file.

One or more modules deployed as a unit composes an assembly.

For more information on modules, see Partition II of the CLI Specification.

- Constructor
  4.0.0.0
  To be added.
  To be added.
- Property
  System.Reflection.Assembly

  Gets the appropriate assembly for the module reflected by the current instance.

  A instance that reflects the assembly that contains the module reflected by the current instance.

  This property is read-only.

  1
  RuntimeInfrastructure
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Reflection.TypeFilter null To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.TypeFilter null To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type[] `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets a string that represents the full path of the module reflected by the current instance.

  A that represents the full path of the module reflected by the current instance. If the assembly that contains the module reflected by the current instance was loaded from a

  array, the value of this string is "<Unknown>".

  This property is read-only.

  The case-sensitivity of the module name is implementation-specific.

  Override this property to customize the content of the returned by this property in types derived from .

  To obtain the name of the module without path information, use the property.

  Requires permission to access path information. See and .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Reflection.CustomAttributeData> To be added. To be added. To be added.
- Method
  System.Reflection.FieldInfo `` A that specifies the name of the field to be returned.

  Returns a instance that reflects the global public field that has the specified name, and is a member of the module reflected by the current instance.

  Returns a instance that reflects the global public field that has the name , and is a member of the module reflected by the current instance, if found; otherwise, returns .

  A global public field is a static field with a module-level scope.

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.FieldInfo `` `` A that specifies the name of the field to be returned.

  A bitwise combination of value that control the binding process. Specify or , or ; otherwise, this method will return .

  Returns a instance that reflects the global field that has the specified name and has the specified binding attributes, and is a member of the module reflected by the current instance.

  Returns a instance that reflects the global field that has the name and characteristics specified by , and is a member of the module reflected by the current instance, if found; otherwise, returns .

  A global field is a field with a module-level scope.

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.FieldInfo[]

  Returns an array whose elements reflect the global public fields that are members of the module reflected by the current instance.

  An array of objects that reflect the global public fields that are members of the module reflected by the current instance. If no global public fields are contained in the module reflected by the current instance, returns an array with zero elements.

  A global public field is a static field with a module-level scope.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.FieldInfo[] `` To be added.

  Returns an array whose elements reflect the global fields that have the specified binding attributes, and are members of the module reflected by the current instance.

  An array objects that reflect the global fields that have the specified binding attributes, and are members of the module reflected by the current instance. If no global fields are contained in the module reflected by the current instance, returns an array with zero elements.

  A global public field is a static field with a module-level scope.

  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.MethodInfo `` A that specifies the name of the method to be returned.

  Returns a instance that reflects the global public method that has the specified name, and is a member of the module reflected by the current instance.

  A instance that reflects the global public method that has the name , and is a member of the module reflected by the current instance, if found; otherwise, returns .

  A global public method is a static method with a module-level scope.

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo `` `` A that specifies the name of the method to be returned. An array of objects that contain the parameter types to search for.

  Returns a instance that reflects the global public method that has the specified name and parameter types, and is a member of the module reflected by the current instance.

  A instance that reflects the global public method that has the name and parameter types , and is a member of the module reflected by the current instance, if found; otherwise, returns .

  A global public method is a static method with a module-level scope.

  is .

  -or-

  is .

  -or-

  At least one element of is .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodInfo[]

  Returns an array whose elements reflect the global public methods that are members of the module reflected by the current instance.

  An array of objects that reflect the global public methods that are members of the module reflected by the current instance.

  A global public method is a static method with a module-level scope.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.MethodInfo[] `` To be added.

  Returns an array whose elements reflect the global methods that have the specified binding attributes, and are members of the module reflected by the current instance.

  An array of objects that reflect the global methods that have characteristics specified by bindingAttr, and are members of the module reflected by the current instance, if found; otherwise, returns null.

  A global method is a method with a module-level scope.

  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.X509Certificates.X509Certificate To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)
- Method
  System.Type `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)
- Method
  System.Type `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)
- Method
  System.Type[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.ModuleHandle To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.Guid To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets a string containing the name of the module reflected by the current instance, with the path component removed.

  A containing the name of the module reflected by the current instance, with the path component removed. If the assembly that contains the module reflected by the current instance was loaded from a

  array, the value of this string is "<Unknown>".

  This property is read-only.

  The value of this property is equivalent to the value of the string returned by the method.

  Use to get the name and path of the module reflected by the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.FieldInfo `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Reflection.MemberInfo `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Reflection.MethodBase `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Byte[] `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Type `` To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Type `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String

  Returns a string representation of the name of the module reflected by the current instance.

  A representation of the name of the module reflected by the current instance.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._Module)) System.Runtime.InteropServices.ComVisible(true)